Subject: [PATCH 2/2] USB: musb: omap2430: add mode change from A to B

From: [email-masked] (Felipe Balbi)
Date: Thu, 22 Jul 2010 19:40:44 +0300

On 07/22/2010 06:16 PM, Kan-Ru Chen wrote:
> Just curious about how to do this in a more automatic way.
> 
> I think setup a daemon to monitor the musb_hdrc mode and try to alter
> it's state via sysfs interface will work, but it may be error prone and
> not always desirable solution.
> 
> Can we query the id pin state periodically in the kernel and change to
> corresponding role?

the transceiver has an interrupt for id pin changes. You can use that
instead of polling.

-- 
balbi